%define major         11
%define gpgmepp_major 6
%define qgpgme_major  7

%define libname_orig  %mklibname %{name}
%define libname       %mklibname %{name} %{major}
%define libgpgmepp    %mklibname gpgmepp %{gpgmepp_major}
%define libqgpgme     %mklibname qgpgme %{qgpgme_major}
%define develname     %mklibname %{name} -d

%define gpg_version   1.2.2
%define gpgsm_version 1.9.6

Summary:	GnuPG Made Easy (GPGME)
Name:		gpgme
Version:	1.9.0
Release:	%mkrel 1
License:	GPLv2+
Group:		File tools
URL:		http://www.gnupg.org/gpgme.html
Source0:	ftp://ftp.gnupg.org/gcrypt/gpgme/%{name}-%{version}.tar.xz
Patch0:		Fix_qtchooser_call.patch
BuildRequires:	gnupg >= %{gpg_version}
# support for Cryptographic Message Syntax protocol
BuildRequires:	gnupg2 >= %{gpgsm_version}
BuildRequires:	pth-devel >= 2.0.0
BuildRequires:	libassuan-devel >= 2.0.2
BuildRequires:	libgpg-error-devel >= 1.11
BuildRequires:	libglib2-devel >= 2.0.0
BuildRequires:	multiarch-utils >= 1.0.3

BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Test)

%description
GnuPG Made Easy (GPGME) is a library designed to make access to GnuPG
easier for applications.

%package -n %{libname}
Summary:	GnuPG Made Easy (GPGME)
Group:		System/Libraries
Requires:	gnupg >= %{gpg_version}
# support for Cryptographic Message Syntax protocol
Requires:	gnupg2 >= %{gpgsm_version}
Provides:	%{name} = %{version}-%{release}
Provides:	%{libname_orig} = %{version}-%{release}

%description -n %{libname}
GnuPG Made Easy (GPGME) is a library designed to make access to GnuPG
easier for applications.


%package -n %{libgpgmepp}
Summary:	GpgME++ - C++ bindings/wrapper for gpgme
Group:		System/Libraries
Obsoletes:  libkf5gpgmepp5

%description -n %{libgpgmepp}
GpgME++ - C++ bindings/wrapper for gpgme

%package -n %libqgpgme
Summary:	GpgME++ - C++ bindings/wrapper for gpgme
Group:		System/Libraries


%description -n %libqgpgme
GpgME++ - C++ bindings/wrapper for gpgme.

%package -n %{develname}
Summary:	GnuPG Made Easy (GPGME) Header files and libraries for development
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Requires:	%{libgpgmepp} = %{version}-%{release}
Requires:	%{libqgpgme} = %{version}-%{release}
Provides:	%{libname_orig}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Obsoletes:	%mklibname %{name} 11 -d
Obsoletes:	libkf5gpgme-devel
Obsoletes:  libgpgmepp-devel
Provides:   libgpgmepp-devel = %version-%release

%description -n %{develname}
GnuPG Made Easy (GPGME) is a library designed to make access to GnuPG
easier for applications.

Install this package if you want to develop applications 
that will use the %{name} library for crypto awareness.

%prep
%setup -q
%patch0 -p0

%build
export QTCHOOSER=%{_prefix}/lib/qtchooser/qtchooser
%configure2_5x \
	--disable-static \
	--disable-gpgsm-test 
%make


%install
rm -rf %buildroot
%make_install

%multiarch_binaries %{buildroot}%{_bindir}/gpgme-config

#we don't want these
find %{buildroot} -name "*.la" -delete

%post -n %{develname}
%_install_info %{name}.info

%postun -n %{develname}
%_remove_install_info %{name}.info

%files -n %{libname}
%{_libdir}/lib*.so.%{major}
%{_libdir}/lib*.so.%{major}.*

%files -n %{libgpgmepp}
%{_libdir}/libgpgmepp.so.%{gpgmepp_major}*

%files -n %libqgpgme
%{_libdir}/libqgpgme.so.%{qgpgme_major}*

%files -n %{develname}
%doc AUTHORS ChangeLog NEWS README THANKS TODO
%multiarch %{multiarch_bindir}/gpgme-config
%{_bindir}/gpgme-config
%{_bindir}/gpgme-tool
%{_libdir}/*.so
%{_datadir}/aclocal/*.m4
%{_includedir}/gpgme++/
%{_includedir}/QGpgME/
%{_includedir}/qgpgme/
%{_includedir}/*.h
%{_infodir}/*
%dir %{_datadir}/common-lisp/source/gpgme
%{_datadir}/common-lisp/source/gpgme/gpgme-package.lisp
%{_datadir}/common-lisp/source/gpgme/gpgme.asd
%{_datadir}/common-lisp/source/gpgme/gpgme.lisp
%{_libdir}/cmake/Gpgmepp/
%{_libdir}/cmake/QGpgme/


%changelog
* Sun Apr 30 2017 adrianomorselli <adrianomorselli> 1.9.0-1uplos2017
- update
- remove patch it is applied in source